package com.chenyang.nse.bussiness.entity.orm.table.core.findCharts;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_FINDCHARTS_FIVE"
)
public class Echartsfive extends TBaseEntity {
   private String sensitivetableNumber;
   private String versionName;
   private String versionid;
   private String taskid;
   private String taskName;

   public Echartsfive(String sensitivetableNumber, String versionName, String versionid, String taskid, String taskName) {
      this.sensitivetableNumber = sensitivetableNumber;
      this.versionName = versionName;
      this.versionid = versionid;
      this.taskid = taskid;
      this.taskName = taskName;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getTaskName() {
      return this.taskName;
   }

   public void setTaskName(String taskName) {
      this.taskName = taskName;
   }

   public String getSensitivetableNumber() {
      return this.sensitivetableNumber;
   }

   public void setSensitivetableNumber(String sensitivetableNumber) {
      this.sensitivetableNumber = sensitivetableNumber;
   }

   public String getVersionName() {
      return this.versionName;
   }

   public void setVersionName(String versionName) {
      this.versionName = versionName;
   }

   public String getVersionid() {
      return this.versionid;
   }

   public void setVersionid(String versionid) {
      this.versionid = versionid;
   }

   public Echartsfive() {
   }

   public Echartsfive(String sensitivetableNumber, String versionName, String versionid) {
      this.sensitivetableNumber = sensitivetableNumber;
      this.versionName = versionName;
      this.versionid = versionid;
   }
}
